> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe an image with structured JSON output



## OpenAPI

````yaml /api/openapi.yaml post /v1/llm/vision/describe
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/llm/vision/describe:
    post:
      tags:
        - LLM
      summary: Describe an image with structured JSON output
      parameters:
        - in: header
          name: Idempotency-Key
          schema:
            type: string
            maxLength: 255
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                image_url:
                  type: string
                  format: uri
                model:
                  type: string
                  nullable: true
                detail:
                  type: string
                  enum:
                    - auto
                    - short
                    - long
                  default: auto
                language:
                  type: string
                  default: en
      responses:
        '200':
          description: Vision description.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMVisionResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    LLMVisionResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          const: vision.description
        model:
          type: string
        description:
          type: string
        tags:
          type: array
          items:
            type: string
        ocr_text:
          type: string
          nullable: true
        usage:
          $ref: '#/components/schemas/LLMUsage'
    LLMUsage:
      type: object
      properties:
        input_tokens:
          type: integer
        output_tokens:
          type: integer
        cached_tokens:
          type: integer
        millicredits_charged:
          type: integer
        credits_charged:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````